Subject: Re: bug#21122: compilation error (-Wunused-macros) with gcc-5.2
From: Jim Meyering <[email-masked]>
To: Assaf Gordon <[email-masked]>
Cc: [email-masked]
Date: Sat, 1 Aug 2015 09:17:54 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Jul 23, 2015 at 2:42 PM, Assaf Gordon <[email-masked]> wrote:
> Hello,
>
> compiling sed from git (v4.2.2-89-ge387009) fails with gcd-5.2 due to
> -Wunused-macros (and -Werror):
>
> ===
> make[3]: Entering directory `/home/gordon/sources/sed/sed'
>   CC       compile.o
> compile.c:36:0: error: macro "OPEN_BRACE" is not used
> [-Werror=unused-macros]
>  #define OPEN_BRACE '{'
>  ^
> compile.c:183:0: error: macro "END_ERRORS" is not used
> [-Werror=unused-macros]
>  #define END_ERRORS (INCOMPLETE_CMD + sizeof(N_("incomplete command")))
>  ^
> cc1: all warnings being treated as errors
> make[3]: *** [compile.o] Error 1
> ===
>
> The attached patch comments-out the two macros. Alternatively they could be
> simply erased.

Thank you. I've pushed that with slight tweaks to the commit log.

> P.S.
> I don't yet have copyright assignment for sed, but I think this change is
> trivial enough.

Yes, that's fine.